## org.omg.CosNaming.NamingContextExtPackage
Class InvalidAddressHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.NamingContextExtPackage.InvalidAddressHelper

public class InvalidAddressHelper
extends java.lang.Object

Helper class for : InvalidAddress

Author:
  OpenORB Compiler

Constructor Summary
`InvalidAddressHelper()`

Method Summary
`static InvalidAddress` `extract(Any a)` Extract InvalidAddress from an any
`static java.lang.String` `id()` Return the InvalidAddress IDL ID
`static void` `insert(Any a, InvalidAddress t)` Insert InvalidAddress into an any
`static InvalidAddress` `read(InputStream istream)` Read InvalidAddress from a marshalled stream
`static TypeCode` `type()` Return the InvalidAddress TypeCode
`static void` `write(OutputStream ostream, InvalidAddress value)` Write InvalidAddress into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidAddressHelper

    public InvalidAddressHelper()

Method Detail

### insert

    public static void insert(Any a,
                              InvalidAddress t)

  Insert InvalidAddress into an any
  Parameters:
    `a` - an any
    `t` - InvalidAddress value

### extract

    public static InvalidAddress extract(Any a)

  Extract InvalidAddress from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted InvalidAddress value

### type

    public static TypeCode type()

  Return the InvalidAddress TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the InvalidAddress IDL ID
  Returns:
    an ID

### read

    public static InvalidAddress read(InputStream istream)

  Read InvalidAddress from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed InvalidAddress value

### write

    public static void write(OutputStream ostream,
                             InvalidAddress value)

  Write InvalidAddress into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - InvalidAddress value